<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="21701" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_0" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="21678"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="RDSBindDeviceVC">
            <connections>
                <outlet property="countDownLab" destination="3jL-kQ-Jf9" id="6ew-6s-6vN"/>
                <outlet property="finishBtn" destination="NuQ-Pd-DFz" id="VD3-Pw-hTc"/>
                <outlet property="gifView" destination="dQL-rV-5jX" id="tdO-Ax-9Ah"/>
                <outlet property="ringImgView" destination="36B-jd-hmM" id="Fkg-1v-wPM"/>
                <outlet property="searchView" destination="VrU-Sx-Sjo" id="ND0-X6-lDA"/>
                <outlet property="tipsLab" destination="Zgt-Qm-Nug" id="sZh-6m-UXu"/>
                <outlet property="view" destination="i5M-Pr-FkT" id="sfx-zR-JGt"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="i5M-Pr-FkT">
            <rect key="frame" x="0.0" y="0.0" width="390" height="844"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="dQL-rV-5jX">
                    <rect key="frame" x="95" y="68.666666666666686" width="200" height="200"/>
                    <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                </view>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="VrU-Sx-Sjo">
                    <rect key="frame" x="95" y="68.666666666666686" width="200" height="200"/>
                    <subviews>
                        <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="icon_ring" translatesAutoresizingMaskIntoConstraints="NO" id="36B-jd-hmM">
                            <rect key="frame" x="0.0" y="0.0" width="200" height="200"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="200" id="EJo-Qu-Ijv"/>
                                <constraint firstAttribute="width" constant="200" id="U1B-p0-3c3"/>
                            </constraints>
                        </imageView>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="设备搜索中" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="Zgt-Qm-Nug">
                            <rect key="frame" x="49" y="87.999999999999986" width="102" height="24"/>
                            <fontDescription key="fontDescription" type="boldSystem" pointSize="20"/>
                            <nil key="textColor"/>
                            <nil key="highlightedColor"/>
                        </label>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="120" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="3jL-kQ-Jf9">
                            <rect key="frame" x="86" y="120" width="28" height="21"/>
                            <fontDescription key="fontDescription" type="system" pointSize="17"/>
                            <color key="textColor" red="0.66666666666666663" green="0.66666666666666663" blue="0.66666666666666663" alpha="1" colorSpace="calibratedRGB"/>
                            <nil key="highlightedColor"/>
                        </label>
                    </subviews>
                    <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    <constraints>
                        <constraint firstAttribute="height" constant="200" id="3cS-lR-og7"/>
                        <constraint firstItem="Zgt-Qm-Nug" firstAttribute="centerX" secondItem="VrU-Sx-Sjo" secondAttribute="centerX" id="Lva-IF-Ar3"/>
                        <constraint firstItem="36B-jd-hmM" firstAttribute="centerX" secondItem="VrU-Sx-Sjo" secondAttribute="centerX" id="bM9-he-8BP"/>
                        <constraint firstItem="Zgt-Qm-Nug" firstAttribute="centerY" secondItem="VrU-Sx-Sjo" secondAttribute="centerY" id="fSe-ow-Kpu"/>
                        <constraint firstItem="3jL-kQ-Jf9" firstAttribute="top" secondItem="Zgt-Qm-Nug" secondAttribute="bottom" constant="8" id="p5L-cx-WFn"/>
                        <constraint firstItem="36B-jd-hmM" firstAttribute="centerY" secondItem="VrU-Sx-Sjo" secondAttribute="centerY" id="pBm-T8-BZa"/>
                        <constraint firstAttribute="width" constant="200" id="tZo-qX-SUQ"/>
                        <constraint firstItem="3jL-kQ-Jf9" firstAttribute="centerX" secondItem="VrU-Sx-Sjo" secondAttribute="centerX" id="uFa-xU-yEk"/>
                    </constraints>
                </view>
                <button hidden="YES" opaque="NO" clipsSubviews="YES" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="NuQ-Pd-DFz">
                    <rect key="frame" x="39" y="707" width="312" height="48"/>
                    <color key="backgroundColor" red="0.078431372549019607" green="0.78823529411764703" blue="0.78823529411764703" alpha="1" colorSpace="calibratedRGB"/>
                    <constraints>
                        <constraint firstAttribute="width" constant="312" id="4aY-uG-6Cx"/>
                        <constraint firstAttribute="height" constant="48" id="f3z-D5-O3R"/>
                    </constraints>
                    <fontDescription key="fontDescription" type="boldSystem" pointSize="16"/>
                    <state key="normal" title="完成">
                        <color key="titleColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    </state>
                    <userDefinedRuntimeAttributes>
                        <userDefinedRuntimeAttribute type="string" keyPath="layer.cornerRadius" value="14"/>
                        <userDefinedRuntimeAttribute type="boolean" keyPath="layer.masksToBounds" value="YES"/>
                    </userDefinedRuntimeAttributes>
                    <connections>
                        <action selector="onFinishClick:" destination="-1" eventType="touchUpInside" id="hOY-q0-EiA"/>
                    </connections>
                </button>
                <button hidden="YES" opaque="NO" clipsSubviews="YES" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="Xkf-Ay-W08">
                    <rect key="frame" x="39" y="639" width="312" height="48"/>
                    <color key="backgroundColor" red="0.078431372550000003" green="0.78823529410000004" blue="0.78823529410000004" alpha="1" colorSpace="calibratedRGB"/>
                    <constraints>
                        <constraint firstAttribute="width" constant="312" id="LMc-FY-3k4"/>
                        <constraint firstAttribute="height" constant="48" id="OTI-Bv-mhp"/>
                    </constraints>
                    <fontDescription key="fontDescription" type="boldSystem" pointSize="16"/>
                    <state key="normal" title="发送WiFi信息">
                        <color key="titleColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    </state>
                    <userDefinedRuntimeAttributes>
                        <userDefinedRuntimeAttribute type="string" keyPath="layer.cornerRadius" value="14"/>
                        <userDefinedRuntimeAttribute type="boolean" keyPath="layer.masksToBounds" value="YES"/>
                    </userDefinedRuntimeAttributes>
                    <connections>
                        <action selector="onSendCmdClick" destination="-1" eventType="touchUpInside" id="29B-KE-aZJ"/>
                    </connections>
                </button>
            </subviews>
            <viewLayoutGuide key="safeArea" id="Q5M-cg-NOt"/>
            <color key="backgroundColor" systemColor="systemBackgroundColor"/>
            <constraints>
                <constraint firstItem="NuQ-Pd-DFz" firstAttribute="centerX" secondItem="i5M-Pr-FkT" secondAttribute="centerX" id="B3w-8p-7YQ"/>
                <constraint firstItem="NuQ-Pd-DFz" firstAttribute="top" secondItem="Xkf-Ay-W08" secondAttribute="bottom" constant="20" id="Ybw-Os-Q77"/>
                <constraint firstItem="Xkf-Ay-W08" firstAttribute="centerX" secondItem="i5M-Pr-FkT" secondAttribute="centerX" id="Zgb-iq-Ybq"/>
                <constraint firstItem="dQL-rV-5jX" firstAttribute="width" secondItem="VrU-Sx-Sjo" secondAttribute="width" id="bCR-Ej-Flz"/>
                <constraint firstItem="Q5M-cg-NOt" firstAttribute="bottom" secondItem="NuQ-Pd-DFz" secondAttribute="bottom" constant="55" id="iyL-rS-R46"/>
                <constraint firstItem="VrU-Sx-Sjo" firstAttribute="centerX" secondItem="i5M-Pr-FkT" secondAttribute="centerX" id="jMA-re-jfR"/>
                <constraint firstItem="dQL-rV-5jX" firstAttribute="height" secondItem="VrU-Sx-Sjo" secondAttribute="height" id="lyk-LN-RdI"/>
                <constraint firstItem="dQL-rV-5jX" firstAttribute="centerY" secondItem="VrU-Sx-Sjo" secondAttribute="centerY" id="p9m-5j-h3K"/>
                <constraint firstItem="dQL-rV-5jX" firstAttribute="centerX" secondItem="VrU-Sx-Sjo" secondAttribute="centerX" id="sNO-av-993"/>
                <constraint firstItem="VrU-Sx-Sjo" firstAttribute="centerY" secondItem="i5M-Pr-FkT" secondAttribute="centerY" multiplier="0.4" id="vcm-i1-QYk"/>
            </constraints>
            <point key="canvasLocation" x="61.538461538461533" y="-1.4218009478672986"/>
        </view>
    </objects>
    <resources>
        <image name="icon_ring" width="500" height="500"/>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
    </resources>
</document>
